document.addEventListener('DOMContentLoaded', function () {
  const taskForm = document.getElementById('add-task-form');
  const taskList = document.getElementById('tasks');

  taskForm.addEventListener('submit', function (e) {
    e.preventDefault();

    const taskName = document.getElementById('task-name').value;
    const taskDue = document.getElementById('task-due').value;
    const taskReminder = document.getElementById('task-reminder').value;

    if (taskName && taskDue) {
      const taskItem = document.createElement('li');
      taskItem.innerHTML = `
        <span>${taskName} - Due: ${new Date(taskDue).toLocaleString()}</span>
        <button onclick="removeTask(this)">Remove</button>
      `;
      taskList.appendChild(taskItem);

      if (taskReminder) {
        const reminderTime = new Date(taskReminder).getTime() - Date.now();
        if (reminderTime > 0) {
          setTimeout(() => {
            alert(`Reminder: ${taskName} is due soon!`);
          }, reminderTime);
        }
      }

      taskForm.reset();
    }
  });
});

function removeTask(button) {
  const taskItem = button.parentElement;
  taskItem.remove();
}